Create points boosts
Create points boosts.
Authorizations
Headers
The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. Pass your own internal customer ID for the tenant. Ignored for single-tenant organisations.
Path Parameters
The UUID of the points system.
Body
Array of boosts to create.
1 - 100 elementsThe name of the boost.
255"Double XP Weekend"
The start date of the boost (YYYY-MM-DD).
"2024-01-01"
The points multiplier. Must be greater than 0, not equal to 1, and less than 100.
2
The ID of the user to create a boost for. Mutually exclusive with userAttributes — providing userAttributes when userId is set will result in an error. Omit for a global boost.
"user-123"
The end date of the boost (YYYY-MM-DD). If null, the boost has no end date.
"2024-01-03"
How to round the boosted points. Defaults to 'down'.
down, up, nearest "down"
User attribute filters for the boost. Cannot be provided when userId is set.
Response
Successful operation (no boosts created)